//---------------------------------------------------------------------------

#ifndef SelectMod_ParamH 
#define SelectMod_ParamH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TSelectMod_ParamForm : public TForm
{
__published:	// IDE-managed Components
        TButton *Button_OK;
        TButton *Button_Cancel;
        TListBox *ListBox1;
        TButton *Button_Select_All;
        void __fastcall Button_OKClick(TObject *Sender);
        void __fastcall Button_CancelClick(TObject *Sender);
        void __fastcall ListBox1Click(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall Button_Select_AllClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
        __fastcall TSelectMod_ParamForm(TComponent* Owner);
        bool flag_MultiSelect;

};
//---------------------------------------------------------------------------
extern PACKAGE TSelectMod_ParamForm *SelectMod_ParamForm;
//---------------------------------------------------------------------------
#endif
